Stop a card's recurrence
DELETE
/boards/{board}/cards/{card}/recurrence
const url = 'https://projects.work.optidata.cloud/api/boards/1/cards/1/recurrence';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://projects.work.optidata.cloud/api/boards/1/cards/1/recurrence \ --header 'Authorization: Bearer <token>'Stops generating new occurrences. Returns 422 when the card has no active recurrence.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”board
required
integer
Board id.
card
required
integer
Card id (must belong to the board).
Responses
Section titled “ Responses ”Recurrence stopped.
Media typeapplication/json
object
message
string
Example
{ "message": "Card repetition stopped successfully."}Missing, invalid or expired bearer passport.
Media typeapplication/json
object
error
string
Example
{ "error": "JWT passport exception: Missing bearer token in request"}The authenticated user lacks the required board permission.
Media typeapplication/json
object
message
string
Example
{ "message": "This action is unauthorized."}Resource not found, or a nested resource does not belong to its parent in the path.
Media typeapplication/json
object
message
string
Example
{ "message": "Not found."}The card has no active recurrence.
Media typeapplication/json
object
message
string
Example
{ "message": "This card does not have an active repetition."}